# Get status

Launch stage: GA

`GET /api/2.0/workspace/get-status`

Gets the status of an object or a directory.
 If `path` does not exist, this call returns an error `RESOURCE_DOES_NOT_EXIST`.

API scopes: workspace

## Query parameters

- `path` (string, required)
  The absolute path of the notebook or directory.

## Returns

Returns the ObjectInfo object.

## Response

```json
{
  "path": "/Users/user@example.com/project/ScalaExampleNotebook",
  "language": "SCALA",
  "object_type": "NOTEBOOK",
  "object_id": 789
}
```

